UNNSBTX(1)

NAME
unnsbtx - Nintendo NSBTX texture extractor

SYNOPSIS
unnsbtx [options] command file

DESCRIPTION
unnsbtx treats Nintendo NSBTX texture as archives and converts the multiple images stored within into TGA files. The image pixel data and the palettes are automatically combined, provided they are named similarly.

OPTIONS
-h
- -help
    Show a help text and exit. - -version Show version information and exit.
command
    l   List images inside this NSBTX texture
    e   Extract images as TGA files
file
    The NSBTX texture to read.

LIMITATIONS
The palette of an image has to be named similarly to the pixel data. Specifically, the palette has to be either named the same, or suffixed by “_pl”, “_p” or “_”. If this not the case, and a palette for an image can't be found, unnsbtx throws an error.

EXAMPLES
List all images contained in the texture texture.nsbtx:

    $ unnsbtx l texture.nsbtx

Extract all images contained in the texture texture.nsbtx:

    $ unnsbtx e texture.nsbtx

SEE ALSO
More information about the xoreos project can be found on its website: https://xoreos.org/.

AUTHORS
This program is part of the xoreos-tools package, which in turn is part of the xoreos project, and was written by the xoreos team. Please see the AUTHORS file for details.